/**
 * Core API v1 (OpenAPI: 3.0.1)
 *
 *
 * NOTE: This class is auto generated by openapi-typescript-client-api-generator.
 * Do not edit the file manually.
 */

export class WorkerPositionResponse {
    public id: string;

    public name: string;

    public x: number;

    public y: number;

    public color: string;

    public time: string;

    public duration: number;

    /**
     * Creates a WorkerPositionResponse.
     *
     * @param {string} id
     * @param {string} name
     * @param {number} x
     * @param {number} y
     * @param {string} color
     * @param {string} time
     * @param {number} duration
     */
    constructor(id: string, name: string, x: number, y: number, color: string, time: string, duration: number) {
        this.id = id;
        this.name = name;
        this.x = x;
        this.y = y;
        this.color = color;
        this.time = time;
        this.duration = duration;
    }
}